- job:
    name: android-hikey-optee-o-clearkeydrmplugin
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 60
            num-to-keep: 60
        - github:
            url: https://github.com/linaro-mmwg/clearkeydrmplugin
    disabled: true
    node: docker-xenial-aosp
    display-name: 'DELETE ME'
    concurrent: false
    scm:
        - git:
            url: https://github.com/linaro-mmwg/clearkeydrmplugin.git
            refspec: +refs/pull/*:refs/remotes/origin/pr/*
            name: origin
            branches:
                - ${sha1}
            skip-tag: true
            shallow-clone: true
            wipe-workspace: true
    triggers:
        - github-pull-request:
            github-hooks: true
            permit-all: true
            auth-id: 'GITHUB_TOKEN'

    wrappers:
        - timestamps
        - timeout:
            timeout: 500
    builders:
        - shell:
            !include-raw: android-hikey-optee-o-clearkey/builders.sh
